## arename 3.1

=== Makefile ===
# default installation location:
#   binaries: /usr/local/bin
#   module  : /usr/local/lib/site_perl
prefix="/usr/local"
libpath="lib/site_perl"
fakeroot="/usr/bin/fakeroot"
critic=""
maxwidth="13"

# the place where *I* keep the sources of arename's "website".
# The whole updatewebsite-fu is probably not useful for anybody else.
ikiroot=/home/hawk/src/web/ft/comp
ikisubroot=/home/hawk/src/web/subpages.ft/comp/arename

all:
	@printf 'Makefile targets intended for users:\n'
	@printf '  all            this text\n'
	@printf '  install        install both scripts and the module\n'
	@printf '  install-doc    install all documentation\n'
	@printf '  uninstall      remove both scripts and the module again\n'
	@printf '  uninstall-doc  remove the documentation\n'
	@printf '\nAll other targets are not for you. Stay away!\n'

test-help:
	@printf '\nMakefile targets intended for testers:\n'
	@printf 'DO NOT USE THESE UNLESS YOU READ THE '\''TESTINGS'\'' FILE!\n'
	@printf '  test           run the important parts of the test suite\n'
	@printf '  test-all       run every part of the test suite\n'
	@printf '  test-code      Check coding style using perlcritic\n'
	@printf '  test-doc       Check the pod syntax using podchecker\n'
	@printf '  test-install   Check the installation process\n'
	@printf '  test-suite     Run the ./tests/*.t test suite\n'
	@printf '  prepare-test-data\n'
	@printf '                 create audio data for the test suite\n'
	@printf '  test-help      this text\n'
	@printf '\n  Use '\''prove'\'' to run tests individually.\n'

dev-help: all test-help
	@printf '\nMakefile targets intended for developers:\n'
	@printf 'DO NOT USE THESE UNLESS YOU KNOW WHAT YOU ARE DOING!\n'
	@printf '  doc            generate arename.1 and arename.html\n'
	@printf '  dev-help       this text\n'
	@printf '  clean          clean up working tree\n'
	@printf '  distclean      same as clean, but removes .tars, too\n'
	@printf '  genperlscripts generate arename from arename.in\n'
	@printf '  updateweb      update the autogenerated website\n'
	@printf '  removeweb      clean up the website'\''s target directory\n'

genperlscripts:
	@./bin/genperlscripts.sh ARename.pm arename ataglist
	@chmod -x ARename.pm

doc: genperlscripts
	@./bin/gendoc.sh

clean:
	@[ ! -e arename.in ] && { printf 'DO NOT CALL THIS!\n' ; exit 1 ; } || true
	rm -f arename.html arename.1 *.tmp .*~ *~ bin/*~ tests/*~ arename ataglist ARename.pm
	rm -Rf tests/data

distclean: clean
	rm -f *.tar.gz

install:
	@./bin/install.sh x arename       "$(prefix)/bin"                        $(maxwidth)
	@./bin/install.sh x ataglist      "$(prefix)/bin"                        $(maxwidth)
	@./bin/install.sh x ARename.pm    "$(prefix)/$(libpath)/"                $(maxwidth)

install-doc:
	@./bin/install.sh n README        "$(prefix)/share/doc/arename"          $(maxwidth)
	@./bin/install.sh n LICENCE       "$(prefix)/share/doc/arename"          $(maxwidth)
	@./bin/install.sh n CHANGES       "$(prefix)/share/doc/arename"          $(maxwidth)
	@./bin/install.sh n arename.html  "$(prefix)/share/doc/arename"          $(maxwidth)
	@./bin/install.sh n arename.1     "$(prefix)/share/man/man1"             $(maxwidth)
	@./bin/install.sh n arename.hooks "$(prefix)/share/doc/arename/examples" $(maxwidth)
	@./bin/install.sh n _arename      "$(prefix)/share/doc/arename/examples" $(maxwidth)

uninstall:
	@./bin/uninstall.sh f "$(prefix)/bin/arename"
	@./bin/uninstall.sh f "$(prefix)/bin/ataglist"
	@./bin/uninstall.sh f "$(prefix)/$(libpath)/ARename.pm"

uninstall-doc:
	@./bin/uninstall.sh d "$(prefix)/share/doc/arename"
	@./bin/uninstall.sh f "$(prefix)/share/man/man1/arename.1"

test: test-check test-doc test-suite

test-all: test-check test-install test-code test-doc test-suite
	@printf '\nTested: '\''%s'\''\n\n' "$$(perl -I. ./arename -V)"

test-check:
	@[ ! -e tests/data/input.wav ] && { \
	  printf '\n  -- No data; Please read the TESTING file! --\n\n' ; \
	  exit 1 ; \
	} || true

test-install: doc
	@( \
	 if [ ! -x "$(fakeroot)" ] ; then \
	  printf 'fakeroot binary (%s) not found. Skipping installation test (see TESTING).\n' "$(fakeroot)" ;\
	  exit 0; \
	 fi ; \
	 "$(fakeroot)" /bin/sh ./tests/inst_t.sh ; \
	)

test-code:
	@( \
	 f=arename    ; ./bin/exists_in.sh "$$f" && SCRIPTFILE0="$$f".in || SCRIPTFILE0="$$f" ; \
	 f=ataglist   ; ./bin/exists_in.sh "$$f" && SCRIPTFILE1="$$f".in || SCRIPTFILE1="$$f" ; \
	 f=ARename.pm ; ./bin/exists_in.sh "$$f" && SCRIPTFILE2="$$f".in || SCRIPTFILE2="$$f" ; \
	 CRITIC="$(critic)" ./bin/critic.sh "$${SCRIPTFILE0}" "$${SCRIPTFILE1}" "$${SCRIPTFILE2}" ; \
	)

test-doc:
	@( \
	 [ -e "arename.in" ] && PODFILE=arename.in || PODFILE=arename ; \
	 printf 'Checking pod syntax in "%s"...\n\n' "$$PODFILE" ; \
	 podchecker -warnings "$$PODFILE" || { \
	  printf '\n podchecker returned errors, please check!\n\n' ; \
	  exit 1 ; \
	 } ; \
	 if podchecker -warnings "$$PODFILE" 2>&1 | grep '^\*\*\* WARNING' > /dev/null 2>&1; then \
	  printf '\n podchecker returned warnings, please check!\n\n' ;\
	  exit 1 ; \
	 fi ; \
	 printf '\nPod syntax in "%s" passed all tests - okay.\n\n' "$$PODFILE" ; \
	)

test-suite: test-check
	prove -I. -v tests/*.t

prepare-test-data:
	./bin/gentestsdata.sh

updateweb:
	@printf 'Updating webpages...\n'
	@./bin/updatewebsite.sh "$(ikiroot)" "$(ikisubroot)"
	#make distclean

removeweb:
	@printf 'Remove webpages...\n'
	rm -f "$(ikiroot)"/arename.mdwn "$(ikisubroot)"/*

release: clean
	@./bin/dist.sh -r

prerelease: clean
	@./bin/dist.sh -p

snapshot: clean
	@./bin/dist.sh -s

.PHONY: install install-doc distclean clean all doc test-check

## arename 4.0

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 libpath="lib/site_perl"
 fakeroot="/usr/bin/fakeroot"
 critic=""
-maxwidth="13"
+maxwidth="14"
 
 # the place where *I* keep the sources of arename's "website".
 # The whole updatewebsite-fu is probably not useful for anybody else.
@@ -30,6 +30,7 @@
 	@printf '  test-doc       Check the pod syntax using podchecker\n'
 	@printf '  test-install   Check the installation process\n'
 	@printf '  test-suite     Run the ./tests/*.t test suite\n'
+	@printf '  test-output    Run the ./tests/optest-perl script\n'
 	@printf '  prepare-test-data\n'
 	@printf '                 create audio data for the test suite\n'
 	@printf '  test-help      this text\n'
@@ -51,15 +52,17 @@
 	@chmod -x ARename.pm
 
 doc: genperlscripts
-	@./bin/gendoc.sh
+	@./bin/gendoc.sh arename
+	@./bin/gendoc.sh ataglist
 
 clean:
 	@[ ! -e arename.in ] && { printf 'DO NOT CALL THIS!\n' ; exit 1 ; } || true
-	rm -f arename.html arename.1 *.tmp .*~ *~ bin/*~ tests/*~ arename ataglist ARename.pm
+	rm -f arename.html arename.1 ataglist.html ataglist.1 *.tmp .*~ *~ bin/*~ tests/*~ arename ataglist ARename.pm
 	rm -Rf tests/data
 
 distclean: clean
 	rm -f *.tar.gz
+	rm -f TAGS tags
 
 install:
 	@./bin/install.sh x arename       "$(prefix)/bin"                        $(maxwidth)
@@ -68,10 +71,15 @@
 
 install-doc:
 	@./bin/install.sh n README        "$(prefix)/share/doc/arename"          $(maxwidth)
+	@./bin/install.sh n UPGRADING     "$(prefix)/share/doc/arename"          $(maxwidth)
+	@./bin/install.sh n REPORTING_BUGS "$(prefix)/share/doc/arename"         $(maxwidth)
 	@./bin/install.sh n LICENCE       "$(prefix)/share/doc/arename"          $(maxwidth)
 	@./bin/install.sh n CHANGES       "$(prefix)/share/doc/arename"          $(maxwidth)
+	@./bin/install.sh n asdump        "$(prefix)/share/doc/arename"          $(maxwidth)
 	@./bin/install.sh n arename.html  "$(prefix)/share/doc/arename"          $(maxwidth)
 	@./bin/install.sh n arename.1     "$(prefix)/share/man/man1"             $(maxwidth)
+	@./bin/install.sh n ataglist.html "$(prefix)/share/doc/arename"          $(maxwidth)
+	@./bin/install.sh n ataglist.1    "$(prefix)/share/man/man1"             $(maxwidth)
 	@./bin/install.sh n arename.hooks "$(prefix)/share/doc/arename/examples" $(maxwidth)
 	@./bin/install.sh n _arename      "$(prefix)/share/doc/arename/examples" $(maxwidth)
 
@@ -83,10 +91,11 @@
 uninstall-doc:
 	@./bin/uninstall.sh d "$(prefix)/share/doc/arename"
 	@./bin/uninstall.sh f "$(prefix)/share/man/man1/arename.1"
+	@./bin/uninstall.sh f "$(prefix)/share/man/man1/ataglist.1"
 
-test: test-check test-doc test-suite
+test: test-check test-doc test-output test-suite
 
-test-all: test-check test-install test-code test-doc test-suite
+test-all: test-check test-install test-code test-doc test-output test-suite
 	@printf '\nTested: '\''%s'\''\n\n' "$$(perl -I. ./arename -V)"
 
 test-check:
@@ -127,6 +136,10 @@
 	 printf '\nPod syntax in "%s" passed all tests - okay.\n\n' "$$PODFILE" ; \
 	)
 
+test-output: genperlscripts
+	perl tests/optest-perl
+	@printf '\n\n  -!- Output routines appear to behaving properly.\n\n'
+
 test-suite: test-check
 	prove -I. -v tests/*.t
 
@@ -151,4 +164,8 @@
 snapshot: clean
 	@./bin/dist.sh -s
 
-.PHONY: install install-doc distclean clean all doc test-check
+tags:
+	ctags --language-force=perl arename.in ARename.pm.in ataglist.in
+	ctags -e --language-force=perl arename.in ARename.pm.in ataglist.in
+
+.PHONY: install install-doc distclean clean all doc test-check tags

=== debian/changelog ===
arename (4.0-4) unstable; urgency=medium

  [ Axel Beckert ]
  * Remove dont-ignore-gen-script-failures.patch, @ just doesn't print the
    line. The issue with not aborting upon failures in genperlscripts is
    somewhere else. Thanks Frank Terbeck for the hint.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ Lucas Kanashiro ]
  * Bump debhelper compatibility level to 9

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Add upstream patch for perl 5.26 compatibility. 
    Thanks to Steve Langasek for the bug report and patch. (Closes: #870234)
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.0.0.

 -- gregor herrmann <gregoa@debian.org>  Mon, 31 Jul 2017 14:52:45 -0400

arename (4.0-3) unstable; urgency=medium

  * Team upload

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Update Vcs-Browser URL to cgit web frontend

  [ Axel Beckert ]
  * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
    copyright"
  * Apply wrap-and-sort
  * Remove Maximilian Gaß from Uploaders (no more active according to himself)
  * Update Homepage URL. (Thanks DUCK!)
  * Add patches for:
    + Fixing FTBFS if building from a git checkout with tags with slashes.
    + Show pod2man errors if there are any. Helps debugging build failures.
    + Not ignoring failures by scripts which are part of the build process.
    + Fixing Perl warning "Possible precedence issue with control flow
      operator" which causes as-installed testing to fail.
  * Mark package as autopkgtestable.
  * Declare compliance with Debian Policy 3.9.6 (no others changes needed).

 -- Axel Beckert <abe@debian.org>  Sat, 23 May 2015 21:09:38 +0200

arename (4.0-2) unstable; urgency=low

  * debian/watch: point to released tarballs.
  * Add VERSION.patch to get the version into the scripts and the
    manpages. Thanks to Frank Terbeck for pointing out my mistake and his
    help with fixing it.

 -- gregor herrmann <gregoa@debian.org>  Thu, 02 Feb 2012 23:44:57 +0100

arename (4.0-1) unstable; urgency=low

  * Take over for the Debian Perl Group on maintainer's request
    (http://lists.debian.org/debian-perl/2012/01/msg00091.html)
  * debian/control: Changed: Maintainer set to Debian Perl Group <pkg-
    perl-maintainers@lists.alioth.debian.org> (was: Maximilian Gass
    <mxey@cloudconnected.org>); Maximilian Gass <mxey@cloudconnected.org>
    moved to Uploaders.
  * debian/watch: use githubredir.debian.net.

  * New upstream release.
  * Switch to "3.0 (quilt)" source format.
  * debian/copyright: update years of upstream and packaging copyright,
    refresh formatting.
  * Update debian/rules to upstream changes.
  * Switch to debhelper compatibility level 8.
  * Bump Standards-Version to 3.9.2 (no changes).
  * Add perl to Build-Depends-Indep.
  * Replace lib{mp3,flac,ogg}*-perl with libaudio-scan-perl in Depends:.
    (Closes: 655406)
  * Add a patch to fix a documentation typo.
  * Add /me to Uploaders.
  * Add debian/NEWS to point to the UPGRADING file.
  * Update Vcs-* headers.

 -- gregor herrmann <gregoa@debian.org>  Thu, 02 Feb 2012 19:45:59 +0100

arename (3.1-1) unstable; urgency=low

  * New upstream release
  * Add Vcs headers to debian/control

 -- Maximilian Gass <mxey@cloudconnected.org>  Wed, 25 Nov 2009 16:02:55 +0100

arename (3.0-1) unstable; urgency=low

  * Initial release (Closes: #549353)

 -- Maximilian Gass <mxey@cloudconnected.org>  Fri, 02 Oct 2009 19:17:07 +0200

=== debian/control ===
Source: arename
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Section: sound
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: perl
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/arename.git
Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/arename.git
Homepage: http://ft.bewatermyfriend.org/computer/arename.html

Package: arename
Architecture: all
Depends: libaudio-scan-perl,
         libreadonly-perl,
         ${misc:Depends},
         ${perl:Depends}
Description: automatic audio file renaming tool
 arename is a tool that is able to rename audio files by looking at a file's
 tagging information. It uses this information to assemble a consistent
 destination file name. The user can define the format of the destination
 filename by the use of template strings.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh  $@

override_dh_auto_build:
	$(MAKE) genperlscripts
	$(MAKE) doc

override_dh_auto_test:
	# test requires audio test data and LAME

override_dh_auto_install:
	$(MAKE) install prefix=$(TMP)/usr libpath=share/perl5
	$(MAKE) install-doc prefix=$(TMP)/usr
	$(RM) $(TMP)/usr/share/doc/arename/CHANGES
	$(RM) $(TMP)/usr/share/doc/arename/LICENCE
	$(RM) $(TMP)/usr/share/doc/arename/README
	$(RM) $(TMP)/usr/share/doc/arename/*.html

=== debian/watch ===
version=3

# don't use this:
# http://githubredir.debian.net/github/ft/arename/ v?([\d.]+)\.tar\.gz

https://github.com/ft/arename/downloads .*/ft/arename/arename-([\d.]+)\.tar\.gz$

## arename 4.0-2maemo1

=== debian/changelog ===
arename (4.0-2maemo1) fremantle; urgency=low
  - Moved to user/multimedia category
 -- Marcin Mielniczuk <marmistrz@linux.pl>  Sat, 09 Jun 2012 12:16:11 +0200

arename (4.0-2maemo0) fremantle; urgency=low
  * First port for Maemo Fremantle
 -- Marcin Mielniczuk <marmistrz@linux.pl>  Wed, 11 Apr 2012 16:03:40 +0200

=== debian/control ===
Source: arename
Section: user/multimedia
Priority: optional
Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Maximilian Gass <mxey@cloudconnected.org>,
 gregor herrmann <gregoa@debian.org>
Build-Depends: debhelper7 (>= 7), maemo-optify
Build-Depends-Indep: perl
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/pkg-perl/packages/arename.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/arename.git
Homepage: http://ft.bewatermyfriend.org/comp/arename.html

Package: arename
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libreadonly-perl,
 libaudio-scan-perl
Description: automatic audio file renaming tool
 arename is a tool that is able to rename audio files by looking at a file's
 tagging information. It uses this information to assemble a consistent
 destination file name. The user can define the format of the destination
 filename by the use of template strings.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #!/usr/bin/make -f
+
+PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
+export PATH
+SBOX_REDIRECT_IGNORE=/usr/bin/perl
+export SBOX_REDIRECT_IGNORE
 
 PACKAGE = $(shell dh_listpackages)
 TMP     = $(CURDIR)/debian/$(PACKAGE)
@@ -20,3 +25,7 @@
 	$(RM) $(TMP)/usr/share/doc/arename/LICENCE
 	$(RM) $(TMP)/usr/share/doc/arename/README
 	$(RM) $(TMP)/usr/share/doc/arename/*.html
+
+override_dh_gencontrol:
+	dh_gencontrol
+	maemo-optify

## arename 4.1

=== Makefile ===
--- 
+++ 
@@ -7,10 +7,7 @@
 critic=""
 maxwidth="14"
 
-# the place where *I* keep the sources of arename's "website".
-# The whole updatewebsite-fu is probably not useful for anybody else.
-ikiroot=/home/hawk/src/web/ft/comp
-ikisubroot=/home/hawk/src/web/subpages.ft/comp/arename
+PERL ?= /usr/bin/perl
 
 all:
 	@printf 'Makefile targets intended for users:\n'
@@ -44,12 +41,9 @@
 	@printf '  clean          clean up working tree\n'
 	@printf '  distclean      same as clean, but removes .tars, too\n'
 	@printf '  genperlscripts generate arename from arename.in\n'
-	@printf '  updateweb      update the autogenerated website\n'
-	@printf '  removeweb      clean up the website'\''s target directory\n'
 
 genperlscripts:
-	@./bin/genperlscripts.sh ARename.pm arename ataglist
-	@chmod -x ARename.pm
+	@$(PERL) ./bin/gps
 
 doc: genperlscripts
 	@./bin/gendoc.sh arename
@@ -57,7 +51,9 @@
 
 clean:
 	@[ ! -e arename.in ] && { printf 'DO NOT CALL THIS!\n' ; exit 1 ; } || true
-	rm -f arename.html arename.1 ataglist.html ataglist.1 *.tmp .*~ *~ bin/*~ tests/*~ arename ataglist ARename.pm
+	rm -f arename.html arename.1 ataglist.html ataglist.1 *.tmp .*~ *~ bin/*~ tests/*~ arename ataglist
+	rm -f optest.pl
+	rm -f */*.pm */*/*.pm */*/*/*.pm
 	rm -Rf tests/data
 
 distclean: clean
@@ -67,7 +63,8 @@
 install:
 	@./bin/install.sh x arename       "$(prefix)/bin"                        $(maxwidth)
 	@./bin/install.sh x ataglist      "$(prefix)/bin"                        $(maxwidth)
-	@./bin/install.sh x ARename.pm    "$(prefix)/$(libpath)/"                $(maxwidth)
+	@./bin/install.sh n modules/ARename.pm "$(prefix)/$(libpath)/"           $(maxwidth)
+	@find modules/ARename -name "*.pm" -exec sh -c 's=$$1; d=$${1%/*}; d=$${d#modules/}; ./bin/install.sh n "$$s" "$(prefix)/$(libpath)/$$d/" $(maxwidth)' {} {} \;
 
 install-doc:
 	@./bin/install.sh n README        "$(prefix)/share/doc/arename"          $(maxwidth)
@@ -80,13 +77,13 @@
 	@./bin/install.sh n arename.1     "$(prefix)/share/man/man1"             $(maxwidth)
 	@./bin/install.sh n ataglist.html "$(prefix)/share/doc/arename"          $(maxwidth)
 	@./bin/install.sh n ataglist.1    "$(prefix)/share/man/man1"             $(maxwidth)
-	@./bin/install.sh n arename.hooks "$(prefix)/share/doc/arename/examples" $(maxwidth)
 	@./bin/install.sh n _arename      "$(prefix)/share/doc/arename/examples" $(maxwidth)
 
 uninstall:
 	@./bin/uninstall.sh f "$(prefix)/bin/arename"
 	@./bin/uninstall.sh f "$(prefix)/bin/ataglist"
 	@./bin/uninstall.sh f "$(prefix)/$(libpath)/ARename.pm"
+	@./bin/uninstall.sh d "$(prefix)/$(libpath)/ARename"
 
 uninstall-doc:
 	@./bin/uninstall.sh d "$(prefix)/share/doc/arename"
@@ -96,7 +93,7 @@
 test: test-check test-doc test-output test-suite
 
 test-all: test-check test-install test-code test-doc test-output test-suite
-	@printf '\nTested: '\''%s'\''\n\n' "$$(perl -I. ./arename -V)"
+	@printf '\nTested: '\''%s'\''\n\n' "$$(perl -Imodules ./arename -V)"
 
 test-check:
 	@[ ! -e tests/data/input.wav ] && { \
@@ -114,12 +111,7 @@
 	)
 
 test-code:
-	@( \
-	 f=arename    ; ./bin/exists_in.sh "$$f" && SCRIPTFILE0="$$f".in || SCRIPTFILE0="$$f" ; \
-	 f=ataglist   ; ./bin/exists_in.sh "$$f" && SCRIPTFILE1="$$f".in || SCRIPTFILE1="$$f" ; \
-	 f=ARename.pm ; ./bin/exists_in.sh "$$f" && SCRIPTFILE2="$$f".in || SCRIPTFILE2="$$f" ; \
-	 CRITIC="$(critic)" ./bin/critic.sh "$${SCRIPTFILE0}" "$${SCRIPTFILE1}" "$${SCRIPTFILE2}" ; \
-	)
+	@CRITIC="$(critic)" sh ./bin/test-code.sh
 
 test-doc:
 	@( \
@@ -141,19 +133,15 @@
 	@printf '\n\n  -!- Output routines appear to behaving properly.\n\n'
 
 test-suite: test-check
-	prove -I. -v tests/*.t
+	prove -Imodules -v tests/*.t
+
+coverage:
+	cover -delete
+	PERL5OPT='-MDevel::Cover=-ignore,.,-select,ARename.pm,+select,ARename/.+\.pm' $(MAKE) test-all
+	cover
 
 prepare-test-data:
 	./bin/gentestsdata.sh
-
-updateweb:
-	@printf 'Updating webpages...\n'
-	@./bin/updatewebsite.sh "$(ikiroot)" "$(ikisubroot)"
-	#make distclean
-
-removeweb:
-	@printf 'Remove webpages...\n'
-	rm -f "$(ikiroot)"/arename.mdwn "$(ikisubroot)"/*
 
 release: clean
 	@./bin/dist.sh -r
@@ -168,4 +156,6 @@
 	ctags --language-force=perl arename.in ARename.pm.in ataglist.in
 	ctags -e --language-force=perl arename.in ARename.pm.in ataglist.in
 
-.PHONY: install install-doc distclean clean all doc test-check tags
+happiness: genperlscripts prepare-test-data tags doc test-all
+
+.PHONY: happiness coverage install install-doc distclean clean all doc test-check tags

=== debian/changelog ===
arename (4.1-1) unstable; urgency=medium

  * Team upload

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Laurent Baillet ]
  * Fix lintian file-contains-trailing-whitespace warning

  [ gregor herrmann ]
  * debian/watch: Use uscan version 4.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper from old 12 to 13.

  [ Nick Morrott ]
  * New upstream version 4.1
  * Enable upstream test-suite at build time
  * Enable upstream test-suite in autopkgtests
  * d/arename.install:
    - Install Zsh completions
  * d/control:
    - Declare compliance with Debian Policy 4.6.0 (no changes)
    - Set Rules-Requires-Root: no
  * d/copyright:
    - Remove dates from Upstream-Contact field
    - Refresh years of Debian copyright
  * d/patches:
    - Add typo-in-manual-page
    - Add no-chown-during-make-install
    - Add disable-output-during-encoding
    - Refresh VERSION.patch
    - Drop following patches applied upstream:
      - spelling.patch
      - unsilent-pod2man.patch
      - 0001-Silence-Unescaped-left-brace-in-regex-warning.patch
    - Drop following patches due to upstream changes:
      - possible-precedence-issue-with-control-flow-operator.patch
      - cope-with-slashes-in-tag-names.patch
  * d/t/p/use-name:
    - Set autopackagetest module name to ARename
  * d/watch:
    - Update Github URL to fix version checking

 -- Nick Morrott <nickm@debian.org>  Sat, 26 Feb 2022 04:40:53 +0000

=== debian/control ===
Source: arename
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Section: sound
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               flac <!nocheck>,
               id3v2 <!nocheck>,
               lame <!nocheck>,
               libaudio-scan-perl <!nocheck>,
               libreadonly-perl <!nocheck>,
               libtest-exception-perl <!nocheck>,
               vorbis-tools <!nocheck>,
Build-Depends-Indep: perl
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/arename
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/arename.git
Homepage: http://ft.bewatermyfriend.org/computer/arename.html

Package: arename
Architecture: all
Depends: libaudio-scan-perl,
         libreadonly-perl,
         ${misc:Depends},
         ${perl:Depends}
Description: automatic audio file renaming tool
 arename is a tool that is able to rename audio files by looking at a file's
 tagging information. It uses this information to assemble a consistent
 destination file name. The user can define the format of the destination
 filename by the use of template strings.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh  $@

override_dh_auto_build:
	$(MAKE) genperlscripts
	$(MAKE) doc

override_dh_auto_test:
	$(MAKE) prepare-test-data
	$(MAKE) test-suite

override_dh_auto_install:
	$(MAKE) install prefix=$(TMP)/usr libpath=share/perl5
	$(MAKE) install-doc prefix=$(TMP)/usr
	$(RM) $(TMP)/usr/share/doc/arename/CHANGES
	$(RM) $(TMP)/usr/share/doc/arename/LICENCE
	$(RM) $(TMP)/usr/share/doc/arename/README
	$(RM) $(TMP)/usr/share/doc/arename/*.html

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?@ANY_VERSION@\.tar\.gz/@PACKAGE@-$1\.tar\.gz/ https://github.com/ft/arename/tags .*/archive/refs/tags/v?@ANY_VERSION@@ARCHIVE_EXT@
